--- a/arch/arm/boot/dts/kirkwood-iomega_ix2_200.dts
+++ b/arch/arm/boot/dts/kirkwood-iomega_ix2_200.dts
@@ -8,6 +8,13 @@
 	model = "Iomega StorCenter ix2-200";
 	compatible = "iom,ix2-200", "marvell,kirkwood-88f6281", "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_power;
+		led-failsafe = &led_health;
+		led-running = &led_power;
+		led-upgrade = &led_health;
+	};
+
 	memory {
 		device_type = "memory";
 		reg = <0x00000000 0x10000000>;
@@ -127,16 +134,16 @@
 			      &pmx_led_rebuild &pmx_led_health >;
 		pinctrl-names = "default";
 
-		power_led {
+		led_power: power_led {
 			label = "status:white:power_led";
 			gpios = <&gpio0 16 GPIO_ACTIVE_HIGH>;
-			default-state = "keep";
+			default-state = "on";
 		};
 		rebuild_led {
 			label = "status:white:rebuild_led";
 			gpios = <&gpio1 4 GPIO_ACTIVE_HIGH>;
 		};
-		health_led {
+		led_health: health_led {
 			label = "status:red:health_led";
 			gpios = <&gpio1 5 GPIO_ACTIVE_HIGH>;
 		};
@@ -186,18 +193,18 @@
 	};
 
 	partition@a0000 {
-		label = "env";
+		label = "u-boot environment";
 		reg = <0xa0000 0x20000>;
 		read-only;
 	};
 
 	partition@100000 {
-		label = "uImage";
+		label = "kernel";
 		reg = <0x100000 0x300000>;
 	};
 
 	partition@400000 {
-		label = "rootfs";
+		label = "ubi";
 		reg = <0x400000 0x1C00000>;
 	};
 };
@@ -211,7 +218,7 @@
 };
 
 &eth0 {
-	status = "okay";
+	status = "disabled";
 	ethernet0-port@0 {
 		speed = <1000>;
 		duplex = <1>;
